cd "/Downloads/HinkleJLC2017ReplicationFiles"

*log using "HinkleJLCreplication.log", replace

*** Figure 1
use "Hinkle.JLC2017.main.data.dta", clear
keep citing*
duplicates drop
tab citing_circuit citing_panel_type3, row

*** Table 1
use "Hinkle.JLC2017.case.year.data.dta", clear

nbreg negTrtsPerYear negTrtLastYr cited_dissent cited_per_curiam cited_en_banc ln_cited_word_count c.age##c.age casesCirYear, robust cluster(cited_circuit)
estimates store negMod
nbreg citesPerYear citesLastYr cited_dissent cited_per_curiam cited_en_banc  ln_cited_word_count c.age##c.age casesCirYear, robust cluster(cited_circuit)
estimates store citeMod

estimates restore citeMod
margins, at(citesLastYr=(0(1)13) age=6 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0  ln_cited_word_count=8.12 casesCirYear=36 ) noesample
*marginsplot, xdimension(citesLastYr) recast(line) legend(off)  recastci(rarea)  ytitle(Predicted Num. of Cites) xtitle(Cites Previous Year)  title("") xsize(3) ysize(2.25) graphregion(lcolor(black) lwidth(thick)) graphregion(fcolor(white))  
estimates restore negMod
margins, at(negTrtLastYr=(0(1)5) age=6 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0  ln_cited_word_count=8.12 casesCirYear=36 ) noesample


*** Table2
use "Hinkle.JLC2017.main.data.dta", clear

* Model effect of ideology on citation and neg trt for three scenarios: unified, maj, min
mlogit dv3 c.au_prec_dist##i.citing_panel_type3 na_author same_au sim_percentile_uq cited_dissent cited_per_curiam cited_en_banc cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload,  baseoutcome(0) robust cluster(citing_caseID)
estimates store bigmod

** Descriptive Statistics, overall
sum au_prec_dist sim_percentile_uq cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload, detail
tab dv3
tab citing_panel_type3
tab na_author
tab same_au
tab cited_dissent 
tab cited_per_curiam
tab cited_en_banc 

** Descriptive Statistics for precedents that are not ignored
sum au_prec_dist sim_percentile_uq cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload if any_cite == 1, detail
tab dv3 if any_cite == 1
tab citing_panel_type3 if any_cite == 1
tab na_author if any_cite == 1
tab same_au if any_cite == 1
tab cited_dissent if any_cite == 1
tab cited_per_curiam if any_cite == 1
tab cited_en_banc if any_cite == 1

** Calculate predicted outcomes setting controls at median values overall
estimates restore bigmod
margins, predict(outcome(-1)) at(au_prec_dist=0.313 citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=75.02 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=2 cited_incir_tot_trt=0 cited_prec_age=16 cited_prec_age2=256 ln_cited_word_count=8.03 ln_citing_word_count=8.17 ln_citing_in_cir_choice_set=7.17 citing_caseload=437 ) noesample
margins, predict(outcome(1)) at(au_prec_dist=0.313 citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=75.02 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=2 cited_incir_tot_trt=0 cited_prec_age=16 cited_prec_age2=256 ln_cited_word_count=8.03 ln_citing_word_count=8.17 ln_citing_in_cir_choice_set=7.17 citing_caseload=437 ) noesample

** Calculate predicted outcomes setting controls at median values for precedents that are not ignored
margins, predict(outcome(-1)) at(au_prec_dist=0.277 citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample
margins, predict(outcome(1)) at(au_prec_dist=0.277 citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample

*** Figure 2 
margins, predict(outcome(-1))  dydx(au_prec_dist) at(au_prec_dist=(0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1 1.1 1.2) citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample  
margins, predict(outcome(1))  dydx(au_prec_dist) at(au_prec_dist=(0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1 1.1 1.2) citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample  

*** Figure 3
margins, predict(outcome(-1)) at(au_prec_dist=(0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1 1.1 1.2) citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample
margins, predict(outcome(1)) at(au_prec_dist=(0 .1 .2 .3 .4 .5 .6 .7 .8 .9 1 1.1 1.2) citing_panel_type3=(1 2 3) na_author=0 same_au=0 sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample

*** Figure 4
margins, predict(outcome(-1)) at(au_prec_dist=0.277 citing_panel_type3=(1 2 3) na_author=(0 1) same_au=(0 1) sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample
margins, predict(outcome(1)) at(au_prec_dist=0.277 citing_panel_type3=(1 2 3) na_author=(0 1) same_au=(0 1) sim_percentile_uq=95.57 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.33 ln_citing_in_cir_choice_set=7.02 citing_caseload=408 ) noesample


*** Robustness Checks

* FN7: Run analysis excluding opinions authored by a visiting judge                                                                                                                                                               
mlogit dv3 c.au_prec_dist##i.citing_panel_type3  na_author same_au sim_percentile_uq cited_dissent cited_per_curiam cited_en_banc cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload if citing_au_visit==0,  robust cluster(citing_caseID)

* FN10: Model effect of ideology on citation conditional on distance between author and furthest panel member
mlogit dv3 c.au_prec_dist##c.id_pan_spread same_au na_author sim_percentile_uq cited_dissent cited_per_curiam cited_en_banc cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload,  baseoutcome(0)  robust cluster(citing_caseID)
margins, at(au_prec_dist=(0(.2)1.2) id_pan_spread=(0 1.209) same_au=0 na_author=0 sim_percentile_uq=94.75 cited_dissent=0 cited_per_curiam=0 cited_en_banc=0 cited_incir_vitality=0 cited_incir_tot_cites=3 cited_incir_tot_trt=0 cited_prec_age=5 cited_prec_age2=25 ln_cited_word_count=8.26 ln_citing_word_count=8.35 ln_citing_in_cir_choice_set=7 citing_caseload=408 )
marginsplot, xdimension(au_prec_dist) recast(line) legend(off)  recastci(rarea)  ytitle(Predicted Oucome) xtitle(Distance Between Author and Precedent)  title("") xsize(3) ysize(2.25) graphregion(lcolor(black) lwidth(thick)) graphregion(fcolor(white))  

* FN16: Check for different rates of self-citation by gender
mlogit dv3 c.au_prec_dist##i.citing_panel_type3 i.same_au_genF na_author sim_percentile_uq cited_dissent cited_per_curiam cited_en_banc cited_incir_vitality cited_incir_tot_cites cited_incir_tot_trt cited_prec_age cited_prec_age2 ln_cited_word_count ln_citing_word_count ln_citing_in_cir_choice_set citing_caseload,  baseoutcome(0)  robust cluster(citing_caseID)

pwcompare same_au_genF, pv atequations 


*log close
